Update a room
curl --request PATCH \
--url https://api.journeybee.io/v1/rooms/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"live": true,
"series": 123,
"internal_label": "<string>",
"viewable_by_distributors": true,
"room_settings": {
"show_navigation": true,
"overview": {
"showQuickActions": true
}
}
}
'import requests
url = "https://api.journeybee.io/v1/rooms/{uuid}"
payload = {
"label": "<string>",
"live": True,
"series": 123,
"internal_label": "<string>",
"viewable_by_distributors": True,
"room_settings": {
"show_navigation": True,
"overview": { "showQuickActions": True }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
live: true,
series: 123,
internal_label: '<string>',
viewable_by_distributors: true,
room_settings: {show_navigation: true, overview: {showQuickActions: true}}
})
};
fetch('https://api.journeybee.io/v1/rooms/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"label": "<string>",
"live": true,
"series": 123,
"internal_label": "<string>",
"viewable_by_distributors": true,
"created_at": "<string>",
"updated_at": "<string>",
"tiers": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"categories": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"stages": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"blocks": [
{
"uuid": "<string>",
"label": "<string>",
"series": 123,
"content": "<unknown>",
"block_settings": {
"display": {
"height": 123,
"fullScreen": true,
"showExternalLink": true,
"directEmbed": true
},
"action_bar": {
"buttons": [
{
"label": "<string>",
"icon": "<string>",
"url": "<string>",
"background_color": "<string>",
"text_color": "<string>",
"icon_color": "<string>",
"room_uuid": "<string>",
"resource_id": 123,
"folder_id": 123,
"certification_id": 123,
"series": 500
}
]
},
"goals": {
"showProgress": true,
"showCountdown": true,
"allowResourceLinks": true
},
"advanced_search": {
"title": "<string>",
"placeholder": "<string>",
"showAITab": true,
"showQuickActions": true
},
"pricing_calculator": {
"allowCreateLead": true,
"enable_lead_submission": true,
"customCustomerName": "<string>"
},
"banner": {}
},
"asset_uuid": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"room_settings": {
"show_navigation": true,
"overview": {
"showQuickActions": true
},
"style": {
"sidebar_icon": "<string>"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"field": "<string>",
"label": "<string>",
"reason": "<string>"
}
]
}
}Rooms
Update a room
PATCH
/
rooms
/
{uuid}
Update a room
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Required string length:
1 - 500Available options:
overview, distributor_partners, leads, deals, payments, resources, certifications, projects, contacts, messages, brand_guidelines, shared_files, private_files, mdf, campaigns, custom Available options:
referral, reseller, distributor Available options:
all, internal_only, external_only Room-level configuration.
Show child attributes
Show child attributes
Response
Default Response
Available options:
overview, distributor_partners, leads, deals, payments, resources, certifications, projects, contacts, messages, brand_guidelines, shared_files, private_files, mdf, campaigns, custom Available options:
referral, reseller, distributor Available options:
all, internal_only, external_only Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Room-level configuration.
Show child attributes
Show child attributes
⌘I